/*======================================
Theme Name: LMS for Education Divi Child Theme By Risethemes
Theme URI: https://edupress.riselayouts.site/
Description: This is a Education Divi Theme With LearnPress LMS
Author: Hidayath Shaikh
Author URI: https://risethemes.net/
Author Email: getrisethemes@gmail.com
Template: Divi
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
======================================*/


/* Overlay styles */
.lightbox-overlay {
	position: fixed !important;
	top: 0 !important;
	left: 0 !important;
	width: 100% !important;
	height: 100% !important;
	background-color: rgba(0,0,0,0.8) !important;
	z-index: 999998 !important;
	display: none;
}

/* Lightbox content styles */
[class*="lightbox-content"] {
	position: fixed !important;
	top: 50% !important;
	left: 50% !important;
	transform: translate(-50%, -50%) !important;
	background: #fff !important;
	padding: 30px !important;
	border-radius: 5px !important;
        width: 90%;
	max-width: 1440px !important;
	max-height: 80% !important;
	overflow: auto !important;
	z-index: 999999 !important;
	display: none;
	box-shadow: 0 0 20px rgba(0,0,0,0.2) !important;
}

/* Close button styles */
.lightbox-close {
	position: absolute !important;
	top: 10px !important;
	right: 10px !important;
	font-size: 24px !important;
	cursor: pointer !important;
	color: #fff !important;
	background: none !important;
	border: none !important;
	padding: 5px !important;
	line-height: 1 !important;
}

/* Prevent scrolling on body when lightbox is open */
body.lightbox-open {
	overflow: hidden !important;
}

/* Blog Custom code start here */
.edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post {
    position: relative;
    padding: 10px 25px !important;
    transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post .et_pb_image_container {
    position: relative;
    overflow: hidden;
    width: auto !important;
    height: 220px !important;
    margin: -10px -25px 30px -25px !important;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post .et_pb_image_container .entry-featured-image-url {
    width: 100%;
    height: 100%;
    border-radius: 0px !important;
    margin-bottom: 0 !important;
    overflow: hidden;
    transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post .et_pb_image_container .entry-featured-image-url img {
    max-width: 100% !important;
    height: 100% !important;
    aspect-ratio: 1 / 0.8 !important;
    object-fit: cover !important;
    border-radius: 0px !important;
    transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post:hover .et_pb_image_container .entry-featured-image-url img {
    transform: scale(1.1,1.1);
    -moz-transform: scale(1.1,1.1);
    -webkit-transform: scale(1.1,1.1);
    -ms-transform: scale(1.1,1.1);
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post .et_pb_image_container .entry-featured-image-url .et_overlay::before {
    display: inline-block;
    top: 40%;
    width: 44px;
    height: 44px;
    line-height: 46px;
    font-size: 14px !important;
    opacity: 0.7;
    vertical-align: middle;
    text-align: center;
    border-radius: 50% !important;
    transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    background-color: #ffffff;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post:hover .et_pb_image_container .entry-featured-image-url .et_overlay::before {
    top: 50%;
    opacity: 1;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post .post-meta .published {
    position: absolute;
    right: 10px;
    top: 10px;
    text-align: center;
    display: block;
    padding: 10px;
    width: 60px;
    height: 60px;
    border-radius: 100%;
    line-height: 20px !important;
    font-size: 14px !important;
    font-weight: 600 !important;
    text-transform: uppercase;
    transition: all .7s ease .5s;
    z-index: 3;
    background-color: #27ae60;
    color: #ffffff;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post h2.entry-title {
    color: #232323 !important;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post h2.entry-title:hover {
    color: #27ae60 !important;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post .post-meta a {
    color: #828282 !important;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post .post-meta a:hover {
    color: #27ae60 !important;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post .post-content a.more-link {
    display: inline-block;
    margin: 30px 0 20px 0;
    border-bottom: 2px solid #232323;
    color: #232323 !important;
  }
  .edup_divi_grid_blog .et_pb_blog_grid article.et_pb_post .post-content a.more-link:hover {
    color: #27ae60 !important;
    border-color: #27ae60 !important;
  }
/* Blog Custom code end here */